/**
 *
 * DEMO 2: Ovladanie smeru otacania krokoveho motora.
 *
 */

#include <Stepper.h>

// Pocet krokov motora.
#define STEPS 90

// Tlacitka su pripojene na digitalnych pinoch 2 a 3.
const int buttonPin1 = 2;
const int buttonPin2 = 3;

// Predchadzajuci smer otacania.
int last = 0;

// Cievky motora su pripojene na digitalne piny 8, 9, 10 a 11.
Stepper stepper(STEPS, 8, 9, 10, 11);

void setup()
{
  // Otacky motora nastavime na 50 ot./min
  stepper.setSpeed(50);
  
  // Definujeme piny tlacitko ako vstupne.
  pinMode(buttonPin1, INPUT);    
  pinMode(buttonPin2, INPUT);
}

void loop()
{
  int buttonState1 = 0;
  int buttonState2 = 0;
  
  // Nacitanie vstupov.
  buttonState1 = digitalRead(buttonPin1);
  buttonState2 = digitalRead(buttonPin2);
  
  if(last == 1)
    stepper.step(-20);
  else
    stepper.step(20);
  
  if (buttonState1 == HIGH) {
    last = 0;
  }
  else if (buttonState2 == HIGH) {
    last = 1;
  }
}

