/**
 *
 * DEMO 3: SD teplotny zaznamnik.
 *
 */

#include <Wire.h>
#include "RTClib.h"

// Adresa teplotneho senzora.
int tmp102Address = 0x48;
byte res;
int val;

RTC_DS1307 RTC;

#include <SD.h>

// On the Ethernet Shield, CS is pin 4. Note that even if it's not
// used as the CS pin, the hardware CS pin (10 on most Arduino boards,
// 53 on the Mega) must be left as an output or the SD library
// functions will not work.
const int chipSelect = 4;

void setup()
{
  Serial.begin(9600);
  Serial.print("Initializing SD card...");

  pinMode(10, OUTPUT);

  if (!SD.begin(chipSelect)) {
    Serial.println("Card failed, or not present");
    return;
  }
  Serial.println("card initialized.");

  Wire.begin();
  RTC.begin();

  // Vymazanie stareho suboru.
  SD.remove("datalog.txt");
}

void loop()
{
  DateTime now = RTC.now();
  
  // Otvorenie suboru.
  File dataFile = SD.open("datalog.txt", FILE_WRITE);

  if (dataFile) {
    // Nacitanie teploty.
    Wire.requestFrom(tmp102Address, 2); 
    byte MSB = Wire.receive();
    byte LSB = Wire.receive();
    int TemperatureSum = ((MSB << 8) | LSB) >> 4; 
    float celsius = TemperatureSum*0.0625;    

    dataFile.print(now.unixtime());
    dataFile.print(";");
    dataFile.println(celsius);
    dataFile.close();
    
    Serial.print(now.unixtime());
    Serial.print(": ");
    Serial.println(celsius);
  }  
  else {
    Serial.println("error opening datalog.txt");
  } 

  delay(3000);
}










