/**
 *
 * DEMO 6: SD teplotny zaznamnik.
 *
 */

#include <NewSoftSerial.h>
char inchar;
NewSoftSerial cell(2,3);    // Vytvorenie virtualneho serioveho portu. Pin 2 je Rx pin, pin 3 je Tx pin.

#include <Wire.h>
// Adresa teplotneho cidla.
int tmp102Address = 0x48;
byte res;
int val;

// Telefonne cislo kam sa odosle SMS s teplotou.
char mobilenumber[] = "0915044912";

void setup()
{
  Serial.begin(115200);

  // Inicizalizacia seriovej komunikacie s GSM modulom.
  cell.begin(9600);
  Wire.begin();
}

void loop() 
{
  if(cell.available() > 0)
  {
    inchar=cell.read();    
    if (inchar=='R')
    {
      delay(10);
      inchar=cell.read();  
      if (inchar=='I')
      {
        delay(10);
        inchar=cell.read();
        if (inchar=='N')
        {
          delay(10);
          inchar=cell.read();  
          if (inchar=='G')
          {
            // Zlozenie prichadzajuceho hovoru.
            cell.println("ATH");

            // Nacitanie teploty.
            Wire.requestFrom(tmp102Address,2); 
            byte MSB = Wire.receive();
            byte LSB = Wire.receive();
            int TemperatureSum = ((MSB << 8) | LSB) >> 4;
            float celsius = TemperatureSum*0.0625;

            cell.println("AT+CMGF=1"); // Nastavenie SMS modu na text.

            cell.print("AT+CMGS=");  // Posielanie spravy.

            cell.print(34,BYTE); // ASCII ekvivalent "

            cell.print(mobilenumber);

            cell.println(34,BYTE);  // ASCII ekvivalent "

            delay(500); // Pauza pre GSM modul.

            cell.print(celsius);   // Sprava na odoslanie.

            cell.println(26,BYTE);  // ASCII ekvivalent Ctrl-Z

            delay(15000); // Pauza pre GSM modul.          
          }
        }
      }
    }
  }
}







